#!/bin/sh
#
# pkt2bbs.sh - v0.1 
# Example shell script using the pkt2bbs.pl script to bring
# in the msgs in an FTN packet to an SQL (Mysql) based database.
#  Copyright (c) 2001-2002 Robert James Clay.  All Rights Reserved.
#  This is free software;  you can redistribute it and/or
#  modify it under the same terms as Perl itself.

# set to directory where the bbsdbpl files are
PATHDIR=/opt/ftn/sql/bbsdbpl
cd $PATHDIR

# toss
LOGDIR=/opt/tst/bbsdbpl
LOGFILE=$LOGDIR/pkt2bbs.log
INBOUND=/var/spool/bbsdbpl/pin
# pkt2bbs.pl -i [inbound directory] -l [logfilename] [-t] [-x] [-k]
$PATHDIR/pkt2bbs.pl -i $INBOUND -l $LOGFILE -t -x 2>$LOGDIR/pkt2bbs.errors 
