#!/bin/sh
#
# setup.sh - v0.1 
# createing the neccessary basic set of tables for bbsdb
# in an SQL (Mysql) based database.
#  Copyright (c) 2001-2002 Robert James Clay.  All Rights Reserved.
#  This is free software;  you can redistribute it and/or
#  modify it under the same terms as Perl itself.

# set to directory where the bbsdbpl files are
LOGDIR=/var/log/bbsdbpl
PATHDIR=/opt/ftn/sql/bbsdbpl
cd $PATHDIR

##uncomment this to recreate the database
#$PATHDIR/ftndbtst.pl

#  [re]create areasbbs table
#$PATHDIR/areasbbsadm.pl -a 
$PATHDIR/areasbbsadm.pl -a 2>$LOGDIR/setup.errors

#  [re]create fareasbbs table
#$PATHDIR/areasbbsadm.pl -f 
$PATHDIR/areasbbsadm.pl -f 2>$LOGDIR/setup.errors

##  [re]create Netmail table
##$PATHDIR/areatable.pl -a NETMAIL 
$PATHDIR/areatable.pl -a NETMAIL -t N -l $LOGDIR/setup.log 2>$LOGDIR/setup.errors

#$PATHDIR/areatable.pl -a BADAREA 
$PATHDIR/areatable.pl -a BADAREA -l $LOGDIR/setup.log 2>$LOGDIR/setup.errors

#  [re]create TESTECHO area table (local test only conf)
#$PATHDIR/areatable.pl -a TESTECHO 
$PATHDIR/areatable.pl -a TESTECHO -l $LOGDIR/setup.log 2>$LOGDIR/setup.errors

#  [re]create FIDOTEST table (non-local fidonet test conf)
#$PATHDIR/areatable.pl -a FIDOTEST 
$PATHDIR/areatable.pl -a FIDOTEST -l $LOGDIR/setup.log 2>$LOGDIR/setup.errors

#  [re]create STN.TEST table (non-local STN test conf)
#$PATHDIR/areatable.pl -a STN.TEST -b STNTEST 
$PATHDIR/areatable.pl -a STN.TEST -b STNTEST -l $LOGDIR/setup.log  2>$LOGDIR/setup.errors 

# add descriptions to areas in areasbbs table
$PATHDIR/bin/sh/desc2bbs.sh -f $PATHDIR/doc/areadesc.txt  2>$LOGDIR/setup.errors
