#!/bin/sh
#
# txt2bbs.sh - v0.1 
# Example shell script using the pkt2bbs.pl script to bring
# in the msgs in an FTN packet to an SQL (Mysql) based database.
#  Copyright (c) 2001-2002 Robert James Clay.  All Rights Reserved.
#  This is free software;  you can redistribute it and/or
#  modify it under the same terms as Perl itself.

# set to directory where the bbsdbpl files are
PATHDIR=/opt/ftn/sql/bbsdbpl
cd $PATHDIR

# post msg to bbs 
LOGFILE=/opt/tst/bbsdbpl/bbsdbpl.log
MSGFILE=/opt/ftn/sql/bbsdbpl/doc/testmsg.txt
#TONODE=1:120/545
#FROMNODE=1:120/545.4
#FROMNAME=Sysop
#TONAME=All
#SUBJECT=Testing
#ATTRIBUTES=0
#
 txt2bbs.pl -c [areaname] -f [MsgFile] -n [fromnode] -d [to node] \\ 
#            -p [fromname ] -t [toname] -s [subject] -a [attributes] -l [logfile] [-x]

$PATHDIR/txt2bbs.pl -f $MSGFILE -l $LOGFILE -x 2>txt2bbs.errors 
