#!/bin/bash
#
# desc2bbs.sh - v0.1 
# Example shell script using the areasbbsadm.pl script to bring
# in the echomail/conference descriptions from a text file setup like
# a backbone.na file to an areasbbs table in an SQL (Mysql) based database.
#  Copyright (c) 2001-2002 Robert James Clay.  All Rights Reserved.
#  This is free software;  you can redistribute it and/or
#  modify it under the same terms as Perl itself.

# set to directory where the bbsdbpl files are
LOGPATH=/var/log/bbsdbpl/areasadm.log
PATHDIR=/opt/ftn/sql/bbsdbpl
cd $PATHDIR

# add descriptions to areas in areasbbs table
$PATHDIR/areasbbsadm.pl -d $PATHDIR/doc/areadesc.txt -l $LOGPATH 
